Get Asset Info
curl --request GET \
--url https://api.kraken.com/0/public/Assetsimport requests
url = "https://api.kraken.com/0/public/Assets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.kraken.com/0/public/Assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/public/Assets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": [],
"result": {
"XXBT": {
"aclass": "currency",
"altname": "XBT",
"decimals": 10,
"display_decimals": 5,
"collateral_value": 1,
"status": "enabled"
},
"ZEUR": {
"aclass": "currency",
"altname": "EUR",
"decimals": 4,
"display_decimals": 2,
"collateral_value": 1,
"status": "enabled"
},
"ZUSD": {
"aclass": "currency",
"altname": "USD",
"decimals": 4,
"display_decimals": 2,
"collateral_value": 1,
"status": "enabled"
}
}
}Market Data
Get Asset Info
Get information about the assets that are available for deposit, withdrawal, trading and earn.
GET
/
public
/
Assets
Get Asset Info
curl --request GET \
--url https://api.kraken.com/0/public/Assetsimport requests
url = "https://api.kraken.com/0/public/Assets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.kraken.com/0/public/Assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/public/Assets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": [],
"result": {
"XXBT": {
"aclass": "currency",
"altname": "XBT",
"decimals": 10,
"display_decimals": 5,
"collateral_value": 1,
"status": "enabled"
},
"ZEUR": {
"aclass": "currency",
"altname": "EUR",
"decimals": 4,
"display_decimals": 2,
"collateral_value": 1,
"status": "enabled"
},
"ZUSD": {
"aclass": "currency",
"altname": "USD",
"decimals": 4,
"display_decimals": 2,
"collateral_value": 1,
"status": "enabled"
}
}
}Query Parameters
Comma delimited list of assets to get info on (optional, default all available assets)
Filters the asset class to retrieve (optional)
currency= spot currency pairs.tokenized_asset= xStocks.
Available options:
currency, tokenized_asset Controls whether response keys and asset identifier fields use Kraken's internal names or display names.
- Omitted (default): internal names are used. Asset keys use legacy
X/Z-prefixed format (XXBT,ZUSD). Pair keys use the internal format (XXBTZUSD). Asset identifier fields (base,quote,fee_volume_currency) also use internal names. assetVersion=1: display names are used. Asset keys become their canonical display names (BTC,USD). Pair keys become the slash-separated display format (BTC/USD). On/public/AssetPairs, thebase,quote, andfee_volume_currencyfields also switch to display names.
Only assetVersion=1 is currently supported. The altname and wsname fields are not affected by this parameter.
Available options:
1 Was this page helpful?